#!/bin/bash

SOURCE_NAME="da681a-irigb"
DEB_NAME="moxa_DA681A_irigb"
DEB_DIR_NAME="deb_DA681A-irigb"
DEB_DIR_VERSION="$SOURCE_NAME-1.0.0"
UNAME_R="3.16.0-4-amd64"

if [ x"$1" = x"clean" ]; then
	rm -rf $DEB_DIR_NAME 2>/dev/null
	echo clean
	exit
fi

rm -rf $DEB_DIR_NAME 2>/dev/null
mkdir -p $DEB_DIR_NAME/$DEB_DIR_VERSION/

cd $DEB_DIR_NAME/$DEB_DIR_VERSION/
dh_make -n << EOF
s

EOF

cd debian

# file: control
cat > control << EOF
Source: da681a-irigb
Section: unknown
Priority: extra
Maintainer: Harry YJ Jhou <HarryYJ.Jhou@moxa.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://www.moxa.com/

Package: da681a-irigb
Architecture: amd64
#Depends: deb-test2
#Pre-Depends: deb-test2
Description: moxa irigb driver for DA681A
EOF

#preinst

#prerm

# file: postinst
cp ../../../build_deb/postinst ./
cp ../../../build_deb/postrm ./

#postrm

cd ..
cat > Makefile << EOF
PWD     := \$(shell pwd)

# enable the drivers
obj-y   := drivers/

all: install

install:
	mkdir -p \$(DESTDIR)/lib/modules/$UNAME_R/updates/drivers/$DEB_NAME/
	install ../../moxa_irigb.ko \$(DESTDIR)/lib/modules/$UNAME_R/updates/drivers/$DEB_NAME/
EOF

make
dpkg-buildpackage -us -uc -aamd64

